/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import org.hibernate.validator.constraints.Length;

/**
 * 学校信息表管理Entity
 * @author tangwc
 * @version 2018-08-21
 */
public class MdeSchoolInfo extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	private Integer schoolId;		// 学校ID（自增）
	private String schoolNameCn;		// 子品牌名称（中文）
	private String schoolNameEn;		// 子品牌名称（英文）
	private String schoolProvince;		// 学校所在省份
	private String schoolCity;		// 学校所在城市
	private String international;		// 国际区分[1-国际;2-国内]
	private Integer sort;		// 排序字段
	
	private String schoolName;
	private String schoolProvinceName;
	private String schoolCityName;
	
	public MdeSchoolInfo() {
		super();
	}

//	@Length(min=1, max=11, message="学校ID（自增）长度必须介于 1 和 11 之间")
	public Integer getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Integer schoolId) {
		this.schoolId = schoolId;
	}
	
	@Length(min=1, max=50, message="子品牌名称（中文）长度必须介于 1 和 50 之间")
	public String getSchoolNameCn() {
		return schoolNameCn;
	}

	public void setSchoolNameCn(String schoolNameCn) {
		this.schoolNameCn = schoolNameCn;
	}
	
	@Length(min=0, max=100, message="子品牌名称（英文）长度必须介于 0 和 100 之间")
	public String getSchoolNameEn() {
		return schoolNameEn;
	}

	public void setSchoolNameEn(String schoolNameEn) {
		this.schoolNameEn = schoolNameEn;
	}
	
	@Length(min=0, max=6, message="学校所在省份长度必须介于 0 和 6 之间")
	public String getSchoolProvince() {
		return schoolProvince;
	}

	public void setSchoolProvince(String schoolProvince) {
		this.schoolProvince = schoolProvince;
	}
	
	@Length(min=0, max=6, message="学校所在城市长度必须介于 0 和 6 之间")
	public String getSchoolCity() {
		return schoolCity;
	}

	public void setSchoolCity(String schoolCity) {
		this.schoolCity = schoolCity;
	}
	
	@Length(min=1, max=1, message="国际区分[1-国际;2-国内]长度必须介于 1 和 1 之间")
	public String getInternational() {
		return international;
	}

	public void setInternational(String international) {
		this.international = international;
	}
	
//	@Length(min=1, max=11, message="排序字段长度必须介于 1 和 11 之间")
	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getSchoolName() {
		return schoolName;
	}

	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}

	public String getSchoolProvinceName() {
		return schoolProvinceName;
	}

	public void setSchoolProvinceName(String schoolProvinceName) {
		this.schoolProvinceName = schoolProvinceName;
	}

	public String getSchoolCityName() {
		return schoolCityName;
	}

	public void setSchoolCityName(String schoolCityName) {
		this.schoolCityName = schoolCityName;
	}
	
}